Subject: bug#64546: 30.0.50; [PATCH] Add support for explicitly-remote commands in Eshell

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jul 2023 15:04:52 +0300

> Date: Sun, 9 Jul 2023 12:31:04 -0700
> From: Jim Porter <[email-masked]>
> 
> This patch adds the ability to run a command in Eshell from any host, no 
> matter your current directory. For example, you could run 
> "/ssh:user@remote:whoami" from a local dir, which would run "whoami" 
> over the SSH connection for "user@remote". Similarly, you could run 
> "/:whoami" to run the local "whoami" even from a remote dir. (The latter 
> syntax is just piggybacking off of quoted file names, which otherwise 
> have no special meaning in Eshell.)
> 
> Prior to the main patch, I also added a bit of documentation about how 
> remote access works in Eshell. These are separate commits so that, if we 
> wanted, we could backport the first patch to the Emacs 29 branch.

Documentation improvements and fixes are always welcome on the release
branch, as long as they describe the behavior of the branch.

Thanks.